diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
index 1f40fc6..d58807a 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
@@ -501,27 +501,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nong Khai
+    // Nong Bua Lam Phu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NongKhai">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NongBuaLamPhu">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nong Khai</rdfs:label>
-      <skos:definition>The province of Nong Khai in the country of Thailand</skos:definition>
+      <rdfs:label>Nong Bua Lam Phu</rdfs:label>
+      <skos:definition>The province of Nong Bua Lam Phu in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nong Khai</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nong Bua Lam Phu</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-43">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-39">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nong Khai in the country of Thailand</skos:definition>
-      <rdfs:label>TH-43</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-43</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NongKhai"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NongKhai"/>
+      <skos:definition>subdivision code for the province of Nong Bua Lam Phu in the country of Thailand</skos:definition>
+      <rdfs:label>TH-39</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-39</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NongBuaLamPhu"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NongBuaLamPhu"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -531,27 +531,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Lamphun
+    // Kalasin
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Lamphun">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Kalasin">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Lamphun</rdfs:label>
-      <skos:definition>The province of Lamphun in the country of Thailand</skos:definition>
+      <rdfs:label>Kalasin</rdfs:label>
+      <skos:definition>The province of Kalasin in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Lamphun</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Kalasin</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-51">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-46">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Lamphun in the country of Thailand</skos:definition>
-      <rdfs:label>TH-51</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-51</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Lamphun"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Lamphun"/>
+      <skos:definition>subdivision code for the province of Kalasin in the country of Thailand</skos:definition>
+      <rdfs:label>TH-46</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-46</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Kalasin"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Kalasin"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -561,27 +561,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chiang Rai
+    // Nakhon Phanom
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChiangRai">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonPhanom">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chiang Rai</rdfs:label>
-      <skos:definition>The province of Chiang Rai in the country of Thailand</skos:definition>
+      <rdfs:label>Nakhon Phanom</rdfs:label>
+      <skos:definition>The province of Nakhon Phanom in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chiang Rai</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Phanom</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-57">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-48">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chiang Rai in the country of Thailand</skos:definition>
-      <rdfs:label>TH-57</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-57</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChiangRai"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChiangRai"/>
+      <skos:definition>subdivision code for the province of Nakhon Phanom in the country of Thailand</skos:definition>
+      <rdfs:label>TH-48</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-48</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonPhanom"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonPhanom"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -591,27 +591,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tak
+    // Phrae
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Tak">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phrae">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tak</rdfs:label>
-      <skos:definition>The province of Tak in the country of Thailand</skos:definition>
+      <rdfs:label>Phrae</rdfs:label>
+      <skos:definition>The province of Phrae in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Tak</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phrae</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-63">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-54">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Tak in the country of Thailand</skos:definition>
-      <rdfs:label>TH-63</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-63</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Tak"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Tak"/>
+      <skos:definition>subdivision code for the province of Phrae in the country of Thailand</skos:definition>
+      <rdfs:label>TH-54</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-54</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phrae"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phrae"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -621,27 +621,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ratchaburi
+    // Phichit
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Ratchaburi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phichit">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ratchaburi</rdfs:label>
-      <skos:definition>The province of Ratchaburi in the country of Thailand</skos:definition>
+      <rdfs:label>Phichit</rdfs:label>
+      <skos:definition>The province of Phichit in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ratchaburi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phichit</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-70">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-66">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Ratchaburi in the country of Thailand</skos:definition>
-      <rdfs:label>TH-70</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-70</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Ratchaburi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Ratchaburi"/>
+      <skos:definition>subdivision code for the province of Phichit in the country of Thailand</skos:definition>
+      <rdfs:label>TH-66</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-66</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phichit"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phichit"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -651,27 +651,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Prachuap Khiri Khan
+    // Nakhon Si Thammarat
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PrachuapKhiriKhan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonSiThammarat">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Prachuap Khiri Khan</rdfs:label>
-      <skos:definition>The province of Prachuap Khiri Khan in the country of Thailand</skos:definition>
+      <rdfs:label>Nakhon Si Thammarat</rdfs:label>
+      <skos:definition>The province of Nakhon Si Thammarat in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Prachuap Khiri Khan</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Si Thammarat</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-77">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-80">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Prachuap Khiri Khan in the country of Thailand</skos:definition>
-      <rdfs:label>TH-77</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-77</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PrachuapKhiriKhan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PrachuapKhiriKhan"/>
+      <skos:definition>subdivision code for the province of Nakhon Si Thammarat in the country of Thailand</skos:definition>
+      <rdfs:label>TH-80</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-80</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonSiThammarat"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonSiThammarat"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -681,27 +681,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phangnga
+    // Phatthaya
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phangnga">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phatthaya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phangnga</rdfs:label>
-      <skos:definition>The province of Phangnga in the country of Thailand</skos:definition>
+      <rdfs:label>Phatthaya</rdfs:label>
+      <skos:definition>The special administrative city of Phatthaya in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phangnga</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phatthaya</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;SpecialAdministrativeCity"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-82">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-S">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phangnga in the country of Thailand</skos:definition>
-      <rdfs:label>TH-82</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-82</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phangnga"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phangnga"/>
+      <skos:definition>subdivision code for the special administrative city of Phatthaya in the country of Thailand</skos:definition>
+      <rdfs:label>TH-S</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-S</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phatthaya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phatthaya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -711,27 +711,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Trang
+    // Phra Nakhon Si Ayutthaya
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Trang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PhraNakhonSiAyutthaya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Trang</rdfs:label>
-      <skos:definition>The province of Trang in the country of Thailand</skos:definition>
+      <rdfs:label>Phra Nakhon Si Ayutthaya</rdfs:label>
+      <skos:definition>The province of Phra Nakhon Si Ayutthaya in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Trang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phra Nakhon Si Ayutthaya</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-92">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-14">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Trang in the country of Thailand</skos:definition>
-      <rdfs:label>TH-92</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-92</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Trang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Trang"/>
+      <skos:definition>subdivision code for the province of Phra Nakhon Si Ayutthaya in the country of Thailand</skos:definition>
+      <rdfs:label>TH-14</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-14</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PhraNakhonSiAyutthaya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PhraNakhonSiAyutthaya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -741,27 +741,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phatthalung
+    // Chon Buri
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phatthalung">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChonBuri">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phatthalung</rdfs:label>
-      <skos:definition>The province of Phatthalung in the country of Thailand</skos:definition>
+      <rdfs:label>Chon Buri</rdfs:label>
+      <skos:definition>The province of Chon Buri in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phatthalung</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chon Buri</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-93">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-20">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phatthalung in the country of Thailand</skos:definition>
-      <rdfs:label>TH-93</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-93</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phatthalung"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phatthalung"/>
+      <skos:definition>subdivision code for the province of Chon Buri in the country of Thailand</skos:definition>
+      <rdfs:label>TH-20</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-20</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChonBuri"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChonBuri"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -771,27 +771,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Lop Buri
+    // Sakon Nakhon
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;LopBuri">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SakonNakhon">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Lop Buri</rdfs:label>
-      <skos:definition>The province of Lop Buri in the country of Thailand</skos:definition>
+      <rdfs:label>Sakon Nakhon</rdfs:label>
+      <skos:definition>The province of Sakon Nakhon in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Lop Buri</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sakon Nakhon</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-16">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-47">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Lop Buri in the country of Thailand</skos:definition>
-      <rdfs:label>TH-16</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-16</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;LopBuri"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;LopBuri"/>
+      <skos:definition>subdivision code for the province of Sakon Nakhon in the country of Thailand</skos:definition>
+      <rdfs:label>TH-47</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-47</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SakonNakhon"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SakonNakhon"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -801,27 +801,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chachoengsao
+    // Mukdahan
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chachoengsao">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Mukdahan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chachoengsao</rdfs:label>
-      <skos:definition>The province of Chachoengsao in the country of Thailand</skos:definition>
+      <rdfs:label>Mukdahan</rdfs:label>
+      <skos:definition>The province of Mukdahan in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chachoengsao</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Mukdahan</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-24">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-49">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chachoengsao in the country of Thailand</skos:definition>
-      <rdfs:label>TH-24</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-24</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chachoengsao"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chachoengsao"/>
+      <skos:definition>subdivision code for the province of Mukdahan in the country of Thailand</skos:definition>
+      <rdfs:label>TH-49</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-49</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Mukdahan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Mukdahan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -831,27 +831,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Yasothon
+    // Lampang
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Yasothon">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Lampang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Yasothon</rdfs:label>
-      <skos:definition>The province of Yasothon in the country of Thailand</skos:definition>
+      <rdfs:label>Lampang</rdfs:label>
+      <skos:definition>The province of Lampang in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Yasothon</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Lampang</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-35">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-52">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Yasothon in the country of Thailand</skos:definition>
-      <rdfs:label>TH-35</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-35</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Yasothon"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Yasothon"/>
+      <skos:definition>subdivision code for the province of Lampang in the country of Thailand</skos:definition>
+      <rdfs:label>TH-52</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-52</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Lampang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Lampang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -861,27 +861,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nong Bua Lam Phu
+    // Mae Hong Son
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NongBuaLamPhu">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;MaeHongSon">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nong Bua Lam Phu</rdfs:label>
-      <skos:definition>The province of Nong Bua Lam Phu in the country of Thailand</skos:definition>
+      <rdfs:label>Mae Hong Son</rdfs:label>
+      <skos:definition>The province of Mae Hong Son in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nong Bua Lam Phu</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Mae Hong Son</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-39">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-58">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nong Bua Lam Phu in the country of Thailand</skos:definition>
-      <rdfs:label>TH-39</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-39</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NongBuaLamPhu"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NongBuaLamPhu"/>
+      <skos:definition>subdivision code for the province of Mae Hong Son in the country of Thailand</skos:definition>
+      <rdfs:label>TH-58</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-58</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;MaeHongSon"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;MaeHongSon"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
